petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCreateSeqUSFFT

Creates a matrix object that provides sequential USFFT via the external package FFTW

### Synopsis

    #include "petscmat.h"
    #include "petscdmda.h"
    PetscErrorCode  MatCreateSeqUSFFT(Vec sampleCoords, DMDA freqDA, Mat *A)

Collective on MPI_Comm

### Input Parameter

| da | - geometry of the domain encoded by a DMDA

### Output Parameter

| A | - the matrix

### Options Database Keys

| -mat_usfft_plannerflags | - set the FFTW planner flags

### Level

intermediate

### Location

src/dm/impls/da/usfft/matusfft.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages